# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name highlighting-kate

%global common_summary Sourcecode syntax highlighting library

%global common_description Highlighting-kate is a syntax highlighting library with support for\
over one hundred languages. The syntax parsers are automatically\
generated from Kate syntax descriptions (http://kate-editor.org/), so\
any syntax supported by Kate can be added.

Name:           %{pkg_name}
Version:        0.5.3.8
Release:        1%{?dist}
Summary:        Sourcecode syntax highlighting library

License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pcre-light-devel
# End cabal-rpm deps

%description
%{common_description}

The package provides the Highlighting commandline program.


%prep
%setup -q

cabal-tweak-flag executable True
cabal-tweak-flag pcre-light True


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_package

%ghc_description


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/Highlight


%ghc_files LICENSE
%doc README changelog


%changelog
* Sun Mar 10 2013 Jens Petersen <petersen@redhat.com> - 0.5.3.8-1
- update to 0.5.3.8

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 31 2012 Jens Petersen <petersen@redhat.com> - 0.5.3.3-1
- update to 0.5.3.3
- turn on .cabal executable flag with patch

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.5.1-2
- change prof BRs to devel

* Sun Jun 10 2012 Jens Petersen <petersen@redhat.com> - 0.5.1-1
- update to 0.5.1

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.5.0.5-2
- add license to ghc_files

* Mon Mar  5 2012 Jens Petersen <petersen@redhat.com> - 0.5.0.5-1
- update to 0.5.0.5

* Mon Feb 13 2012 Jens Petersen <petersen@redhat.com> - 0.5.0.3-1
- update to 0.5.0.3
- patch to use pcre-light and fix version
- new depends on blaze-html

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.2.10-3
- Rebuild against PCRE 8.30

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.2.10-2
- update to cabal2spec-0.25.2

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.10-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.2.10-1.1
- rebuild with new gmp

* Fri Jul 22 2011 Jens Petersen <petersen@redhat.com> - 0.2.10-1
- update to 0.2.10

* Tue Jul 12 2011 Jens Petersen <petersen@redhat.com> - 0.2.9-2
- update to cabal2spec-0.23.2

* Thu Jun  2 2011 Jens Petersen <petersen@redhat.com> - 0.2.9-1
- GPLv2+
- add all dependencies

* Thu Jun  2 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.9-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23
